Waehrungskennzeichen
Date: 2015-04-26

de.jost_net.OBanToo.Tools

## Class Waehrungskennzeichen

- java.lang.Object
- - de.jost_net.OBanToo.Tools.Waehrungskennzeichen

-     public class Waehrungskennzeichen
      extends java.lang.Object

  Währungskennzeichen gem. ISO 4217 die im internationalen Zahlungsverkehr zur eindeutigen Identifizierung benutzt werden sollten. Quelle: Wikipedia: ISO 4217
  Author:
    Heiner Jostkleigrewe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AED` Dirham, Vereinigte Arabische Emirate
    `static java.lang.String` | `AFN` Afghani, Afghanistan
    `static java.lang.String` | `ALL` Lek, Albanien
    `static java.lang.String` | `AMD` Dram, Armenien
    `static java.lang.String` | `ANG` Gulden, Niederländische Antillen
    `static java.lang.String` | `AOA` Kwanza, Angola
    `static java.lang.String` | `ARS` Peso, Argentinien
    `static java.lang.String` | `AUD` Dollar, Australien, Kiribati, Nauru, Tuvalu
    `static java.lang.String` | `AWG` Florin, Aruba
    `static java.lang.String` | `AZN` Manat, Aserbaidschan
    `static java.lang.String` | `BAM` Konvertible Mark, Bosnien und Herzegowina
    `static java.lang.String` | `BBD` Dollar, Barbados
    `static java.lang.String` | `BDT` Taka, Bangladesch
    `static java.lang.String` | `BGN` Lew, Bulgarien
    `static java.lang.String` | `BHD` Dinar, Bahrain
    `static java.lang.String` | `BIF` Franc, Burundi
    `static java.lang.String` | `BMD` Dollar, Bermuda
    `static java.lang.String` | `BND` Dollar, Brunei
    `static java.lang.String` | `BOB` Boliviano, Bolivien
    `static java.lang.String` | `BRL` Real, Brasilien
    `static java.lang.String` | `BSD` Dollar, Bahamas
    `static java.lang.String` | `BTN` Ngultrum, Bhutan
    `static java.lang.String` | `BWP` Pula, Botsuana
    `static java.lang.String` | `BYR` Rubel, Weißrussland
    `static java.lang.String` | `BZD` Dollar, Belize
    `static java.lang.String` | `CAD` Dollar, Kanada
    `static java.lang.String` | `CDF` Franc, Demokratische Republik Kongo
    `static java.lang.String` | `CHF` Franken, Schweiz, Liechtenstein
    `static java.lang.String` | `CLP` Peso, Chile
    `static java.lang.String` | `CNY` Renminbi Yuan, Volksrepublik China
    `static java.lang.String` | `COP` Peso, Kolumbien
    `static java.lang.String` | `CRC` Colón, Costa Rica
    `static java.lang.String` | `CSD` Dinar,Serbien
    `static java.lang.String` | `CUP` Peso, Kuba
    `static java.lang.String` | `CVE` Escudo, Kap Verde
    `static java.lang.String` | `CYP` Pfund, Zypern (griechischer Teil)
    `static java.lang.String` | `CZK` Krone, Tschechien
    `static java.lang.String` | `DJF` Franc, Dschibuti
    `static java.lang.String` | `DKK` Krone, Dänemark
    `static java.lang.String` | `DOP` Peso, Dominikanische Republik
    `static java.lang.String` | `DZD` Dinar, Algerien
    `static java.lang.String` | `EEK` Krone, Estland
    `static java.lang.String` | `EGP` Pfund, Ägypten
    `static java.lang.String` | `ERN` Nakfa, Eritrea
    `static java.lang.String` | `ETB` Birr, Äthiopien
    `static java.lang.String` | `EUR` Euro, Europäische Währungsunion
    `static java.lang.String` | `FJD` Dollar, Fidschi
    `static java.lang.String` | `FKP` Pfund, Falklandinseln
    `static java.lang.String` | `GBP` Pfund, Großbritannien und Nordirland
    `static java.lang.String` | `GEL` Lari, Georgien
    `static java.lang.String` | `GHC` Cedi, Ghana
    `static java.lang.String` | `GIP` Pfund, Gibraltar
    `static java.lang.String` | `GMD` Dalasi, Gambia
    `static java.lang.String` | `GNF` Franc, Guinea
    `static java.lang.String` | `GTQ` Quetzal, Guatemala
    `static java.lang.String` | `GYD` Dollar, Guyana
    `static java.lang.String` | `HKD` Dollar, Hongkong
    `static java.lang.String` | `HNL` Lempira, Honduras
    `static java.lang.String` | `HRK` Kuna, Kroatien
    `static java.lang.String` | `HTG` Gourde, Haiti
    `static java.lang.String` | `HUF` Forint, Ungarn
    `static java.lang.String` | `IDR` Rupiah, Indonesien
    `static java.lang.String` | `ILS` Schekel, Israel
    `static java.lang.String` | `INR` Rupie, Indien
    `static java.lang.String` | `IQD` Dinar, Irak
    `static java.lang.String` | `IRR` Rial, Iran
    `static java.lang.String` | `ISK` Krone, Island
    `static java.lang.String` | `JMD` Dollar, Jamaika
    `static java.lang.String` | `JOD` Dinar, Jordanien
    `static java.lang.String` | `JPY` Yen, Japan
    `static java.lang.String` | `KES` Schilling, Kenia
    `static java.lang.String` | `KGS` Som, Kirgisistan
    `static java.lang.String` | `KHR` Riel, Kambodscha
    `static java.lang.String` | `KMF` Franc, Komoren
    `static java.lang.String` | `KPW` Won, Nordkorea
    `static java.lang.String` | `KRW` Won, Südkorea
    `static java.lang.String` | `KWD` Dinar, Kuwait
    `static java.lang.String` | `KYD` Dollar, Kaimaninseln
    `static java.lang.String` | `KZT` Tenge, Kasachstan
    `static java.lang.String` | `LAK` Kip, Laos
    `static java.lang.String` | `LBP` Kip, Laos
    `static java.lang.String` | `LKR` Rupie, Sri Lanka
    `static java.lang.String` | `LRD` Dollar, Liberia
    `static java.lang.String` | `LSL` Loti, Lesotho
    `static java.lang.String` | `LTL` Litas, Litauen
    `static java.lang.String` | `LVL` Lats, Lettland
    `static java.lang.String` | `LYD` Dinar, Libyen
    `static java.lang.String` | `MAD` Dirham, Marokko
    `static java.lang.String` | `MDL` Leu, Moldawien
    `static java.lang.String` | `MGA` Ariary, Madagaskar
    `static java.lang.String` | `MKD` Denar, Mazedonien
    `static java.lang.String` | `MMK` Kyat, Myanmar
    `static java.lang.String` | `MNT` Tögrög, Mongolei
    `static java.lang.String` | `MOP` Pataca, Macao
    `static java.lang.String` | `MRO` Ouguiya, Mauretanien
    `static java.lang.String` | `MTL` Lira, Malta
    `static java.lang.String` | `MUR` Rupie, Mauritius
    `static java.lang.String` | `MVR` Rufiyaa, Malediven
    `static java.lang.String` | `MWK` Kwacha, Malawi
    `static java.lang.String` | `MXN` Peso, Mexiko
    `static java.lang.String` | `MYR` Ringgit, Malaysia
    `static java.lang.String` | `MZM` Metical, Mosambik
    `static java.lang.String` | `NAD` Dollar, Namibia
    `static java.lang.String` | `NGN` Naira, Nigeria
    `static java.lang.String` | `NIO` Córdoba, Nicaragua
    `static java.lang.String` | `NOK` Krone, Norwegen
    `static java.lang.String` | `NPR` Rupie, Nepal
    `static java.lang.String` | `NZD` Dollar, Neuseeland
    `static java.lang.String` | `OMR` Rial, Oman
    `static java.lang.String` | `PAB` Balboa, Panama
    `static java.lang.String` | `PEN` Nuevo Sol, Peru
    `static java.lang.String` | `PGK` Kina, Papua-Neuguinea
    `static java.lang.String` | `PHP` Peso, Philippinen
    `static java.lang.String` | `PKR` Rupie, Pakistan
    `static java.lang.String` | `PLN` Z?
    `static java.lang.String` | `PYG` Guaraní, Paraguay
    `static java.lang.String` | `QAR` Riyal, Katar
    `static java.lang.String` | `RON` Leu, Rumänien
    `static java.lang.String` | `RUB` Rubel, Russland
    `static java.lang.String` | `RWF` Franc, Ruanda
    `static java.lang.String` | `SAR` Riyal, Saudi-Arabien
    `static java.lang.String` | `SBD` Dollar, Salomonen
    `static java.lang.String` | `SCR` Rupie, Seychellen
    `static java.lang.String` | `SDD` Dinar, Sudan
    `static java.lang.String` | `SEK` Krone, Schweden
    `static java.lang.String` | `SGD` Dollar, Singapur
    `static java.lang.String` | `SHP` Pfund, St.
    `static java.lang.String` | `SIT` Tolar, Slowenien
    `static java.lang.String` | `SKK` Krone, Slowakei
    `static java.lang.String` | `SLL` Leone, Sierra Leone
    `static java.lang.String` | `SOS` Schilling, Somalia
    `static java.lang.String` | `SRD` Dollar, Suriname
    `static java.lang.String` | `STD` Dobra, São Tomé und Príncipe
    `static java.lang.String` | `SVC` Colón, El Salvador
    `static java.lang.String` | `SYP` Pfund, Syrien
    `static java.lang.String` | `SZL` Lilangeni, Swasiland
    `static java.lang.String` | `THB` Baht, Thailand
    `static java.lang.String` | `TJS` Somoni, Tadschikistan
    `static java.lang.String` | `TMM` Manat, Turkmenistan
    `static java.lang.String` | `TND` Dinar, Tunesien
    `static java.lang.String` | `TOP` Pa'anga, Tonga
    `static java.lang.String` | `TRY` Neue Lira, Türkei
    `static java.lang.String` | `TTD` Dollar, Trinidad und Tobago
    `static java.lang.String` | `TWD` Dollar, Taiwan
    `static java.lang.String` | `TZS` Schilling, Tansania
    `static java.lang.String` | `UAH` Hrywnja, Ukraine
    `static java.lang.String` | `UGX` Shilling, Uganda
    `static java.lang.String` | `USD` Dollar, Vereinigte Staaten
    `static java.lang.String` | `UYU` Peson, Uruguay
    `static java.lang.String` | `UZS` So?
    `static java.lang.String` | `VEB` Bolívar, Venezuela
    `static java.lang.String` | `VND` ??
    `static java.lang.String` | `VUV` Vatu, Vanuatu
    `private static java.lang.String[]` | `waehrungen`
    `static java.lang.String` | `WST` Tala, Sene Samoa
    `static java.lang.String` | `XAF` Franc, Zentralafrikanische Wirtschafts- und Währungsunion
    `static java.lang.String` | `XCD` Dollar, Ostkaribische Währungsunion
    `static java.lang.String` | `XDR` Sonderziehungsrecht - Internationaler Währungsfonds
    `static java.lang.String` | `XOF` Franc, Westafrikanische Wirtschafts- und Währungsunion
    `static java.lang.String` | `XPF` Franc, Neukaledonien
    `static java.lang.String` | `YER` Rial, Jemen
    `static java.lang.String` | `ZAR` Rand, Südafrika
    `static java.lang.String` | `ZMK` Kwacha, Sambia
    `static java.lang.String` | `ZWD` Dollar, Simbabwe

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Waehrungskennzeichen()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isValid(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AED

          public static final java.lang.String AED

      Dirham, Vereinigte Arabische Emirate
      See Also:
        Constant Field Values

    - #### AFN

          public static final java.lang.String AFN

      Afghani, Afghanistan
      See Also:
        Constant Field Values

    - #### ALL

          public static final java.lang.String ALL

      Lek, Albanien
      See Also:
        Constant Field Values

    - #### AMD

          public static final java.lang.String AMD

      Dram, Armenien
      See Also:
        Constant Field Values

    - #### ANG

          public static final java.lang.String ANG

      Gulden, Niederländische Antillen
      See Also:
        Constant Field Values

    - #### AOA

          public static final java.lang.String AOA

      Kwanza, Angola
      See Also:
        Constant Field Values

    - #### ARS

          public static final java.lang.String ARS

      Peso, Argentinien
      See Also:
        Constant Field Values

    - #### AUD

          public static final java.lang.String AUD

      Dollar, Australien, Kiribati, Nauru, Tuvalu
      See Also:
        Constant Field Values

    - #### AWG

          public static final java.lang.String AWG

      Florin, Aruba
      See Also:
        Constant Field Values

    - #### AZN

          public static final java.lang.String AZN

      Manat, Aserbaidschan
      See Also:
        Constant Field Values

    - #### BAM

          public static final java.lang.String BAM

      Konvertible Mark, Bosnien und Herzegowina
      See Also:
        Constant Field Values

    - #### BBD

          public static final java.lang.String BBD

      Dollar, Barbados
      See Also:
        Constant Field Values

    - #### BDT

          public static final java.lang.String BDT

      Taka, Bangladesch
      See Also:
        Constant Field Values

    - #### BGN

          public static final java.lang.String BGN

      Lew, Bulgarien
      See Also:
        Constant Field Values

    - #### BHD

          public static final java.lang.String BHD

      Dinar, Bahrain
      See Also:
        Constant Field Values

    - #### BIF

          public static final java.lang.String BIF

      Franc, Burundi
      See Also:
        Constant Field Values

    - #### BMD

          public static final java.lang.String BMD

      Dollar, Bermuda
      See Also:
        Constant Field Values

    - #### BND

          public static final java.lang.String BND

      Dollar, Brunei
      See Also:
        Constant Field Values

    - #### BOB

          public static final java.lang.String BOB

      Boliviano, Bolivien
      See Also:
        Constant Field Values

    - #### BRL

          public static final java.lang.String BRL

      Real, Brasilien
      See Also:
        Constant Field Values

    - #### BSD

          public static final java.lang.String BSD

      Dollar, Bahamas
      See Also:
        Constant Field Values

    - #### BTN

          public static final java.lang.String BTN

      Ngultrum, Bhutan
      See Also:
        Constant Field Values

    - #### BWP

          public static final java.lang.String BWP

      Pula, Botsuana
      See Also:
        Constant Field Values

    - #### BYR

          public static final java.lang.String BYR

      Rubel, Weißrussland
      See Also:
        Constant Field Values

    - #### BZD

          public static final java.lang.String BZD

      Dollar, Belize
      See Also:
        Constant Field Values

    - #### CAD

          public static final java.lang.String CAD

      Dollar, Kanada
      See Also:
        Constant Field Values

    - #### CDF

          public static final java.lang.String CDF

      Franc, Demokratische Republik Kongo
      See Also:
        Constant Field Values

    - #### CHF

          public static final java.lang.String CHF

      Franken, Schweiz, Liechtenstein
      See Also:
        Constant Field Values

    - #### CLP

          public static final java.lang.String CLP

      Peso, Chile
      See Also:
        Constant Field Values

    - #### CNY

          public static final java.lang.String CNY

      Renminbi Yuan, Volksrepublik China
      See Also:
        Constant Field Values

    - #### COP

          public static final java.lang.String COP

      Peso, Kolumbien
      See Also:
        Constant Field Values

    - #### CRC

          public static final java.lang.String CRC

      Colón, Costa Rica
      See Also:
        Constant Field Values

    - #### CSD

          public static final java.lang.String CSD

      Dinar,Serbien
      See Also:
        Constant Field Values

    - #### CUP

          public static final java.lang.String CUP

      Peso, Kuba
      See Also:
        Constant Field Values

    - #### CVE

          public static final java.lang.String CVE

      Escudo, Kap Verde
      See Also:
        Constant Field Values

    - #### CYP

          public static final java.lang.String CYP

      Pfund, Zypern (griechischer Teil)
      See Also:
        Constant Field Values

    - #### CZK

          public static final java.lang.String CZK

      Krone, Tschechien
      See Also:
        Constant Field Values

    - #### DJF

          public static final java.lang.String DJF

      Franc, Dschibuti
      See Also:
        Constant Field Values

    - #### DKK

          public static final java.lang.String DKK

      Krone, Dänemark
      See Also:
        Constant Field Values

    - #### DOP

          public static final java.lang.String DOP

      Peso, Dominikanische Republik
      See Also:
        Constant Field Values

    - #### DZD

          public static final java.lang.String DZD

      Dinar, Algerien
      See Also:
        Constant Field Values

    - #### EEK

          public static final java.lang.String EEK

      Krone, Estland
      See Also:
        Constant Field Values

    - #### EGP

          public static final java.lang.String EGP

      Pfund, Ägypten
      See Also:
        Constant Field Values

    - #### ETB

          public static final java.lang.String ETB

      Birr, Äthiopien
      See Also:
        Constant Field Values

    - #### ERN

          public static final java.lang.String ERN

      Nakfa, Eritrea
      See Also:
        Constant Field Values

    - #### EUR

          public static final java.lang.String EUR

      Euro, Europäische Währungsunion
      See Also:
        Constant Field Values

    - #### FJD

          public static final java.lang.String FJD

      Dollar, Fidschi
      See Also:
        Constant Field Values

    - #### FKP

          public static final java.lang.String FKP

      Pfund, Falklandinseln
      See Also:
        Constant Field Values

    - #### GBP

          public static final java.lang.String GBP

      Pfund, Großbritannien und Nordirland
      See Also:
        Constant Field Values

    - #### GEL

          public static final java.lang.String GEL

      Lari, Georgien
      See Also:
        Constant Field Values

    - #### GHC

          public static final java.lang.String GHC

      Cedi, Ghana
      See Also:
        Constant Field Values

    - #### GIP

          public static final java.lang.String GIP

      Pfund, Gibraltar
      See Also:
        Constant Field Values

    - #### GMD

          public static final java.lang.String GMD

      Dalasi, Gambia
      See Also:
        Constant Field Values

    - #### GNF

          public static final java.lang.String GNF

      Franc, Guinea
      See Also:
        Constant Field Values

    - #### GTQ

          public static final java.lang.String GTQ

      Quetzal, Guatemala
      See Also:
        Constant Field Values

    - #### GYD

          public static final java.lang.String GYD

      Dollar, Guyana
      See Also:
        Constant Field Values

    - #### HKD

          public static final java.lang.String HKD

      Dollar, Hongkong
      See Also:
        Constant Field Values

    - #### HNL

          public static final java.lang.String HNL

      Lempira, Honduras
      See Also:
        Constant Field Values

    - #### HRK

          public static final java.lang.String HRK

      Kuna, Kroatien
      See Also:
        Constant Field Values

    - #### HTG

          public static final java.lang.String HTG

      Gourde, Haiti
      See Also:
        Constant Field Values

    - #### HUF

          public static final java.lang.String HUF

      Forint, Ungarn
      See Also:
        Constant Field Values

    - #### IDR

          public static final java.lang.String IDR

      Rupiah, Indonesien
      See Also:
        Constant Field Values

    - #### ILS

          public static final java.lang.String ILS

      Schekel, Israel
      See Also:
        Constant Field Values

    - #### INR

          public static final java.lang.String INR

      Rupie, Indien
      See Also:
        Constant Field Values

    - #### IQD

          public static final java.lang.String IQD

      Dinar, Irak
      See Also:
        Constant Field Values

    - #### IRR

          public static final java.lang.String IRR

      Rial, Iran
      See Also:
        Constant Field Values

    - #### ISK

          public static final java.lang.String ISK

      Krone, Island
      See Also:
        Constant Field Values

    - #### JMD

          public static final java.lang.String JMD

      Dollar, Jamaika
      See Also:
        Constant Field Values

    - #### JOD

          public static final java.lang.String JOD

      Dinar, Jordanien
      See Also:
        Constant Field Values

    - #### JPY

          public static final java.lang.String JPY

      Yen, Japan
      See Also:
        Constant Field Values

    - #### KES

          public static final java.lang.String KES

      Schilling, Kenia
      See Also:
        Constant Field Values

    - #### KGS

          public static final java.lang.String KGS

      Som, Kirgisistan
      See Also:
        Constant Field Values

    - #### KHR

          public static final java.lang.String KHR

      Riel, Kambodscha
      See Also:
        Constant Field Values

    - #### KMF

          public static final java.lang.String KMF

      Franc, Komoren
      See Also:
        Constant Field Values

    - #### KPW

          public static final java.lang.String KPW

      Won, Nordkorea
      See Also:
        Constant Field Values

    - #### KRW

          public static final java.lang.String KRW

      Won, Südkorea
      See Also:
        Constant Field Values

    - #### KWD

          public static final java.lang.String KWD

      Dinar, Kuwait
      See Also:
        Constant Field Values

    - #### KYD

          public static final java.lang.String KYD

      Dollar, Kaimaninseln
      See Also:
        Constant Field Values

    - #### KZT

          public static final java.lang.String KZT

      Tenge, Kasachstan
      See Also:
        Constant Field Values

    - #### LAK

          public static final java.lang.String LAK

      Kip, Laos
      See Also:
        Constant Field Values

    - #### LBP

          public static final java.lang.String LBP

      Kip, Laos
      See Also:
        Constant Field Values

    - #### LKR

          public static final java.lang.String LKR

      Rupie, Sri Lanka
      See Also:
        Constant Field Values

    - #### LRD

          public static final java.lang.String LRD

      Dollar, Liberia
      See Also:
        Constant Field Values

    - #### LSL

          public static final java.lang.String LSL

      Loti, Lesotho
      See Also:
        Constant Field Values

    - #### LTL

          public static final java.lang.String LTL

      Litas, Litauen
      See Also:
        Constant Field Values

    - #### LVL

          public static final java.lang.String LVL

      Lats, Lettland
      See Also:
        Constant Field Values

    - #### LYD

          public static final java.lang.String LYD

      Dinar, Libyen
      See Also:
        Constant Field Values

    - #### MAD

          public static final java.lang.String MAD

      Dirham, Marokko
      See Also:
        Constant Field Values

    - #### MDL

          public static final java.lang.String MDL

      Leu, Moldawien
      See Also:
        Constant Field Values

    - #### MGA

          public static final java.lang.String MGA

      Ariary, Madagaskar
      See Also:
        Constant Field Values

    - #### MKD

          public static final java.lang.String MKD

      Denar, Mazedonien
      See Also:
        Constant Field Values

    - #### MMK

          public static final java.lang.String MMK

      Kyat, Myanmar
      See Also:
        Constant Field Values

    - #### MNT

          public static final java.lang.String MNT

      Tögrög, Mongolei
      See Also:
        Constant Field Values

    - #### MOP

          public static final java.lang.String MOP

      Pataca, Macao
      See Also:
        Constant Field Values

    - #### MRO

          public static final java.lang.String MRO

      Ouguiya, Mauretanien
      See Also:
        Constant Field Values

    - #### MTL

          public static final java.lang.String MTL

      Lira, Malta
      See Also:
        Constant Field Values

    - #### MUR

          public static final java.lang.String MUR

      Rupie, Mauritius
      See Also:
        Constant Field Values

    - #### MVR

          public static final java.lang.String MVR

      Rufiyaa, Malediven
      See Also:
        Constant Field Values

    - #### MWK

          public static final java.lang.String MWK

      Kwacha, Malawi
      See Also:
        Constant Field Values

    - #### MXN

          public static final java.lang.String MXN

      Peso, Mexiko
      See Also:
        Constant Field Values

    - #### MYR

          public static final java.lang.String MYR

      Ringgit, Malaysia
      See Also:
        Constant Field Values

    - #### MZM

          public static final java.lang.String MZM

      Metical, Mosambik
      See Also:
        Constant Field Values

    - #### NAD

          public static final java.lang.String NAD

      Dollar, Namibia
      See Also:
        Constant Field Values

    - #### NGN

          public static final java.lang.String NGN

      Naira, Nigeria
      See Also:
        Constant Field Values

    - #### NIO

          public static final java.lang.String NIO

      Córdoba, Nicaragua
      See Also:
        Constant Field Values

    - #### NOK

          public static final java.lang.String NOK

      Krone, Norwegen
      See Also:
        Constant Field Values

    - #### NPR

          public static final java.lang.String NPR

      Rupie, Nepal
      See Also:
        Constant Field Values

    - #### NZD

          public static final java.lang.String NZD

      Dollar, Neuseeland
      See Also:
        Constant Field Values

    - #### OMR

          public static final java.lang.String OMR

      Rial, Oman
      See Also:
        Constant Field Values

    - #### PAB

          public static final java.lang.String PAB

      Balboa, Panama
      See Also:
        Constant Field Values

    - #### PEN

          public static final java.lang.String PEN

      Nuevo Sol, Peru
      See Also:
        Constant Field Values

    - #### PGK

          public static final java.lang.String PGK

      Kina, Papua-Neuguinea
      See Also:
        Constant Field Values

    - #### PHP

          public static final java.lang.String PHP

      Peso, Philippinen
      See Also:
        Constant Field Values

    - #### PKR

          public static final java.lang.String PKR

      Rupie, Pakistan
      See Also:
        Constant Field Values

    - #### PLN

          public static final java.lang.String PLN

      Z?oty, Polen
      See Also:
        Constant Field Values

    - #### PYG

          public static final java.lang.String PYG

      Guaraní, Paraguay
      See Also:
        Constant Field Values

    - #### QAR

          public static final java.lang.String QAR

      Riyal, Katar
      See Also:
        Constant Field Values

    - #### RON

          public static final java.lang.String RON

      Leu, Rumänien
      See Also:
        Constant Field Values

    - #### RUB

          public static final java.lang.String RUB

      Rubel, Russland
      See Also:
        Constant Field Values

    - #### RWF

          public static final java.lang.String RWF

      Franc, Ruanda
      See Also:
        Constant Field Values

    - #### SAR

          public static final java.lang.String SAR

      Riyal, Saudi-Arabien
      See Also:
        Constant Field Values

    - #### SBD

          public static final java.lang.String SBD

      Dollar, Salomonen
      See Also:
        Constant Field Values

    - #### SCR

          public static final java.lang.String SCR

      Rupie, Seychellen
      See Also:
        Constant Field Values

    - #### SDD

          public static final java.lang.String SDD

      Dinar, Sudan
      See Also:
        Constant Field Values

    - #### SEK

          public static final java.lang.String SEK

      Krone, Schweden
      See Also:
        Constant Field Values

    - #### SGD

          public static final java.lang.String SGD

      Dollar, Singapur
      See Also:
        Constant Field Values

    - #### SHP

          public static final java.lang.String SHP

      Pfund, St. Helena
      See Also:
        Constant Field Values

    - #### SIT

          public static final java.lang.String SIT

      Tolar, Slowenien
      See Also:
        Constant Field Values

    - #### SKK

          public static final java.lang.String SKK

      Krone, Slowakei
      See Also:
        Constant Field Values

    - #### SLL

          public static final java.lang.String SLL

      Leone, Sierra Leone
      See Also:
        Constant Field Values

    - #### SOS

          public static final java.lang.String SOS

      Schilling, Somalia
      See Also:
        Constant Field Values

    - #### SRD

          public static final java.lang.String SRD

      Dollar, Suriname
      See Also:
        Constant Field Values

    - #### STD

          public static final java.lang.String STD

      Dobra, São Tomé und Príncipe
      See Also:
        Constant Field Values

    - #### SVC

          public static final java.lang.String SVC

      Colón, El Salvador
      See Also:
        Constant Field Values

    - #### SYP

          public static final java.lang.String SYP

      Pfund, Syrien
      See Also:
        Constant Field Values

    - #### SZL

          public static final java.lang.String SZL

      Lilangeni, Swasiland
      See Also:
        Constant Field Values

    - #### THB

          public static final java.lang.String THB

      Baht, Thailand
      See Also:
        Constant Field Values

    - #### TJS

          public static final java.lang.String TJS

      Somoni, Tadschikistan
      See Also:
        Constant Field Values

    - #### TMM

          public static final java.lang.String TMM

      Manat, Turkmenistan
      See Also:
        Constant Field Values

    - #### TND

          public static final java.lang.String TND

      Dinar, Tunesien
      See Also:
        Constant Field Values

    - #### TOP

          public static final java.lang.String TOP

      Pa'anga, Tonga
      See Also:
        Constant Field Values

    - #### TRY

          public static final java.lang.String TRY

      Neue Lira, Türkei
      See Also:
        Constant Field Values

    - #### TTD

          public static final java.lang.String TTD

      Dollar, Trinidad und Tobago
      See Also:
        Constant Field Values

    - #### TWD

          public static final java.lang.String TWD

      Dollar, Taiwan
      See Also:
        Constant Field Values

    - #### TZS

          public static final java.lang.String TZS

      Schilling, Tansania
      See Also:
        Constant Field Values

    - #### UAH

          public static final java.lang.String UAH

      Hrywnja, Ukraine
      See Also:
        Constant Field Values

    - #### UGX

          public static final java.lang.String UGX

      Shilling, Uganda
      See Also:
        Constant Field Values

    - #### USD

          public static final java.lang.String USD

      Dollar, Vereinigte Staaten
      See Also:
        Constant Field Values

    - #### UYU

          public static final java.lang.String UYU

      Peson, Uruguay
      See Also:
        Constant Field Values

    - #### UZS

          public static final java.lang.String UZS

      So?m, Usbekistan
      See Also:
        Constant Field Values

    - #### VEB

          public static final java.lang.String VEB

      Bolívar, Venezuela
      See Also:
        Constant Field Values

    - #### VND

          public static final java.lang.String VND

      ??ng, Vietnam
      See Also:
        Constant Field Values

    - #### VUV

          public static final java.lang.String VUV

      Vatu, Vanuatu
      See Also:
        Constant Field Values

    - #### WST

          public static final java.lang.String WST

      Tala, Sene Samoa
      See Also:
        Constant Field Values

    - #### XAF

          public static final java.lang.String XAF

      Franc, Zentralafrikanische Wirtschafts- und Währungsunion
      See Also:
        Constant Field Values

    - #### XCD

          public static final java.lang.String XCD

      Dollar, Ostkaribische Währungsunion
      See Also:
        Constant Field Values

    - #### XDR

          public static final java.lang.String XDR

      Sonderziehungsrecht - Internationaler Währungsfonds
      See Also:
        Constant Field Values

    - #### XOF

          public static final java.lang.String XOF

      Franc, Westafrikanische Wirtschafts- und Währungsunion
      See Also:
        Constant Field Values

    - #### XPF

          public static final java.lang.String XPF

      Franc, Neukaledonien
      See Also:
        Constant Field Values

    - #### YER

          public static final java.lang.String YER

      Rial, Jemen
      See Also:
        Constant Field Values

    - #### ZAR

          public static final java.lang.String ZAR

      Rand, Südafrika
      See Also:
        Constant Field Values

    - #### ZMK

          public static final java.lang.String ZMK

      Kwacha, Sambia
      See Also:
        Constant Field Values

    - #### ZWD

          public static final java.lang.String ZWD

      Dollar, Simbabwe
      See Also:
        Constant Field Values

    - #### waehrungen

          private static java.lang.String[] waehrungen

  - ### Constructor Detail

    - #### Waehrungskennzeichen

          public Waehrungskennzeichen()

  - ### Method Detail

    - #### isValid

          public static boolean isValid(java.lang.String value)